Bug 119174 - /proc/cpuinfo vendor_id is wrong. shows $
/proc/cpuinfo vendor_id is wrong. shows $
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-25 17:49 EST by Bill Peck
Modified: 2013-08-05 21:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 21:08:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2004-03-25 17:49:42 EST
Description of problem:

notice that vendor_id below shows bad data.  In previous versions the
kernel showed Genuine_Intel

[root@minimumble root]# cat /proc/cpuinfo
processor       : 0
vendor_id       : $
cpu family      : 15
model           : 3
model name      :                    Genuine Intel(R) CPU 2.00GHz
physical id     : 0
siblings        : 2
stepping        : 1
cpu MHz         : 1995.174
cache size      : 1024 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss tm ferr
syscall lm
bogomips        : 3984.58
clflush size    : 64
address sizes   : 40 bits physical, 48 bits virtual
power management:
 
processor       : 1
vendor_id       : $
cpu family      : 15
model           : 3
model name      :                    Genuine Intel(R) CPU 2.00GHz
physical id     : 0
siblings        : 2
stepping        : 1
cpu MHz         : 1995.174
cache size      : 1024 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 5
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss tm ferr
syscall lm
bogomips        : 3984.58
clflush size    : 64
address sizes   : 40 bits physical, 48 bits virtual
power management:


Version-Release number of selected component (if applicable):
kernel-2.4.21-11.ELsmp

How reproducible:
everytime

Steps to Reproduce:
1. Install U2 on a ia32e system
2. cat /proc/cpuinfo
3.
  
Actual results:
bad vendor_id data

Expected results:
valid vendor_id data

Additional info:
Comment 1 Jim Paradis 2004-04-16 20:13:01 EDT
This turns out to have been a bug in adding the additional capability
word to the cpuinfo struct that ia32e needs.  The code that sets the
word was smashing the first four bytes of the x86_vendor_id[] field.

Patch submitted for U3.
Comment 2 Ernie Petrides 2004-04-21 23:53:22 EDT
Although originally planned for U3, due to an unexpected U2 respin
over a security erratum, we've taken Jim's fix into U2.  I've just
committed Jim's fix to kernel version 2.4.21-15.EL.
Comment 3 John Flanagan 2004-05-11 21:08:47 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-188.html

Note You need to log in before you can comment on or make changes to this bug.